Zercurity data services
  • Summary
  • Applications (7)
  • Packages (0)
  • Vulnerabilities (9)

linux-tools-4.10.0-34

Hashes
Linux kernel version specific tools for version 4.10.0-34 This package provides the architecture dependant parts for kernel version locked tools (such as perf and x86_energy_perf_policy) for version 4.10.0-34 on 64 bit x86. You probably want to install linux-tools-4.10.0-34-<flavour>.
  • SHA256: 641f7fc86960cdb87c0aa9585be8257601e12413760e00276a5aece51d09229c
  • SHA1: 040f44e3b6675b7532cc1c1581469982f11b7f84
  • MD5: 8c48cf8c31b6b407475334eb5087a559
Information
  • Version: 4.10.0-34.38
  • Filename: linux-tools-4.10.0-34_4.10.0-34.38_amd64.deb
  • Size: 4733
  • Type: DEB
  • Source: linux
  • Architecture: AMD64
  • Owner: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
  • Dependencies: binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common

Applications

NameTypeArchSizeRisk
libcpupower.so.4.10.0-34
/usr/lib/libcpupower.so.4.10.0-34
227040
usbip
/usr/lib/linux-tools-4.10.0-34/usbip
675440
turbostat
/usr/lib/linux-tools-4.10.0-34/turbostat
769040
cpupower
/usr/lib/linux-tools-4.10.0-34/cpupower
752240
perf
/usr/lib/linux-tools-4.10.0-34/perf
42916400
usbipd
/usr/lib/linux-tools-4.10.0-34/usbipd
554400
x86_energy_perf_policy
/usr/lib/linux-tools-4.10.0-34/x86_energy_perf_policy
101200

Vulnerabilities

NameRiskSourceFixed
CVE-2017-100041075USN
linux-doc
4.10.0-35.39
CVE-2017-754178USN
linux-doc
4.10.0-35.39
CVE-2017-100025180USN
linux-doc
4.10.0-35.39
CVE-2017-754178USN
linux-libc-dev
4.10.0-35.39
CVE-2017-100041075USN
linux-libc-dev
4.10.0-35.39
CVE-2017-100025180USN
linux-libc-dev
4.10.0-35.39
CVE-2017-100025180USN
linux-tools-common
4.10.0-35.39
CVE-2017-100041075USN
linux-tools-common
4.10.0-35.39
CVE-2017-754178USN
linux-tools-common
4.10.0-35.39

Raw Object

{
  "sha256": "641f7fc86960cdb87c0aa9585be8257601e12413760e00276a5aece51d09229c",
  "sha1": "040f44e3b6675b7532cc1c1581469982f11b7f84",
  "md5": "8c48cf8c31b6b407475334eb5087a559",
  "type": "DEB",
  "arch": "AMD64",
  "name": "linux-tools-4.10.0-34",
  "filename": "linux-tools-4.10.0-34_4.10.0-34.38_amd64.deb",
  "size": 4733,
  "description": "Linux kernel version specific tools for version 4.10.0-34\nThis package provides the architecture dependant parts for kernel\nversion locked tools (such as perf and x86_energy_perf_policy) for\nversion 4.10.0-34 on\n64 bit x86.\nYou probably want to install linux-tools-4.10.0-34-<flavour>.",
  "url": null,
  "version": "4.10.0-34.38",
  "source": "linux",
  "owner": "Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>",
  "dependencies": "binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common",
  "applications": [
    {
      "path": "/usr/lib/libcpupower.so.4.10.0-34",
      "sha256": "80cbf85767fa9bb35afd7a827405db2649311e1b783465ae06efe0fdebb4b75a",
      "sha1": "b22934327ea63bf48ddb9438d186c2ba830600a1",
      "md5": "f4e52e9696ebc2ff0ea8ebbcb45c7bec",
      "name": "libcpupower.so.4.10.0-34",
      "size": 22704,
      "description": null,
      "package": 2966074,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:40:40+00:00",
      "updated_at": "2021-07-17T03:40:40+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-34/usbip",
      "sha256": "a50c01c2ef6f794dc154c8cd4a3be88a334c08dbc3d237d594eda29ae45a7171",
      "sha1": "2a3fb292b0b17ecd7b61cf690ac318c1ad6900f1",
      "md5": "f3f07f319aa89a1bf46c517424fbe667",
      "name": "usbip",
      "size": 67544,
      "description": null,
      "package": 2966074,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:40:40+00:00",
      "updated_at": "2021-07-17T03:40:40+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-34/turbostat",
      "sha256": "c2d2611d054949debb51fc8c83e5295129da087abc89d07f7b6fbaa252494013",
      "sha1": "e1e83e6cbf767ef42ec264afc6113ee6e1b85a33",
      "md5": "66bfcec4def2812d64dd741579a05216",
      "name": "turbostat",
      "size": 76904,
      "description": null,
      "package": 2966074,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:40:40+00:00",
      "updated_at": "2021-07-17T03:40:40+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-34/cpupower",
      "sha256": "70b04226014b52d23b8da0c920739d44fcb5d413ac6ddd13114b970ce40d1182",
      "sha1": "76dd0345c9bef0741c2108298d81aedd95d27db7",
      "md5": "7865d883cbec27b48e86bf925f1e623e",
      "name": "cpupower",
      "size": 75224,
      "description": null,
      "package": 2966074,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:40:40+00:00",
      "updated_at": "2021-07-17T03:40:40+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-34/perf",
      "sha256": "1c87dc8491d8004043df42edccdf81dd18755b41b274c4307410bd07ba7cbd61",
      "sha1": "7330b17b60efbaaa9078e5f720153a0db0b91fdb",
      "md5": "e923b87a0812e7f938b30301684b743b",
      "name": "perf",
      "size": 4291640,
      "description": null,
      "package": 2966074,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:40:40+00:00",
      "updated_at": "2021-07-17T03:40:40+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-34/usbipd",
      "sha256": "1865753738821c769576a56e43d2f245313b0b77c73b9a9e8049ba3720401f3a",
      "sha1": "1db90adca9ef6cd59d3041332d70109d75f157d6",
      "md5": "1f47cb158222d3912a488bdd15d2dcf5",
      "name": "usbipd",
      "size": 55440,
      "description": null,
      "package": 2966074,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:40:40+00:00",
      "updated_at": "2021-07-17T03:40:40+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-34/x86_energy_perf_policy",
      "sha256": "a1fde5179508a97ea6c72561f62cb4cb79256e246a713e669a2272ecd2c7f0ab",
      "sha1": "1c4992116acdbf8abbfff29880a9c785d12e65df",
      "md5": "7001c77386c24a5fcacab770a9b1c854",
      "name": "x86_energy_perf_policy",
      "size": 10120,
      "description": null,
      "package": 2966074,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:40:40+00:00",
      "updated_at": "2021-07-17T03:40:40+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2017-1000410",
      "risk": 75,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f47e2173cf2805b9e4b1a073579969d7479c49e918a269a24d987f446916e941",
        "name": "linux-doc",
        "version": "4.10.0-35.39",
        "filename": "linux-doc_4.10.0-35.39_all.deb"
      },
      "created_at": "2021-07-17T08:52:58+00:00",
      "updated_at": "2021-07-17T08:52:58+00:00"
    },
    {
      "name": "CVE-2017-7541",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f47e2173cf2805b9e4b1a073579969d7479c49e918a269a24d987f446916e941",
        "name": "linux-doc",
        "version": "4.10.0-35.39",
        "filename": "linux-doc_4.10.0-35.39_all.deb"
      },
      "created_at": "2021-07-17T12:23:06+00:00",
      "updated_at": "2021-07-17T12:23:06+00:00"
    },
    {
      "name": "CVE-2017-1000251",
      "risk": 80,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f47e2173cf2805b9e4b1a073579969d7479c49e918a269a24d987f446916e941",
        "name": "linux-doc",
        "version": "4.10.0-35.39",
        "filename": "linux-doc_4.10.0-35.39_all.deb"
      },
      "created_at": "2021-07-17T13:32:20+00:00",
      "updated_at": "2021-07-17T13:32:20+00:00"
    },
    {
      "name": "CVE-2017-7541",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "875d6836dc995a8475756148e7003781b450f05cc5bc73a0174195beb1f54df4",
        "name": "linux-libc-dev",
        "version": "4.10.0-35.39",
        "filename": "linux-libc-dev_4.10.0-35.39_amd64.deb"
      },
      "created_at": "2021-07-17T22:58:45+00:00",
      "updated_at": "2021-07-17T22:58:45+00:00"
    },
    {
      "name": "CVE-2017-1000410",
      "risk": 75,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "875d6836dc995a8475756148e7003781b450f05cc5bc73a0174195beb1f54df4",
        "name": "linux-libc-dev",
        "version": "4.10.0-35.39",
        "filename": "linux-libc-dev_4.10.0-35.39_amd64.deb"
      },
      "created_at": "2021-07-17T23:55:38+00:00",
      "updated_at": "2021-07-17T23:55:38+00:00"
    },
    {
      "name": "CVE-2017-1000251",
      "risk": 80,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "875d6836dc995a8475756148e7003781b450f05cc5bc73a0174195beb1f54df4",
        "name": "linux-libc-dev",
        "version": "4.10.0-35.39",
        "filename": "linux-libc-dev_4.10.0-35.39_amd64.deb"
      },
      "created_at": "2021-07-18T00:24:34+00:00",
      "updated_at": "2021-07-18T00:24:34+00:00"
    },
    {
      "name": "CVE-2017-1000251",
      "risk": 80,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "58474dcf4217287b8d51fcdc9ddb545991a2d90a2275be4e3ae3682d3b453221",
        "name": "linux-tools-common",
        "version": "4.10.0-35.39",
        "filename": "linux-tools-common_4.10.0-35.39_all.deb"
      },
      "created_at": "2021-07-20T07:10:44+00:00",
      "updated_at": "2021-07-20T07:10:44+00:00"
    },
    {
      "name": "CVE-2017-1000410",
      "risk": 75,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "58474dcf4217287b8d51fcdc9ddb545991a2d90a2275be4e3ae3682d3b453221",
        "name": "linux-tools-common",
        "version": "4.10.0-35.39",
        "filename": "linux-tools-common_4.10.0-35.39_all.deb"
      },
      "created_at": "2021-07-20T10:58:05+00:00",
      "updated_at": "2021-07-20T10:58:05+00:00"
    },
    {
      "name": "CVE-2017-7541",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "58474dcf4217287b8d51fcdc9ddb545991a2d90a2275be4e3ae3682d3b453221",
        "name": "linux-tools-common",
        "version": "4.10.0-35.39",
        "filename": "linux-tools-common_4.10.0-35.39_all.deb"
      },
      "created_at": "2021-07-20T12:46:42+00:00",
      "updated_at": "2021-07-20T12:46:42+00:00"
    }
  ],
  "risk": 80,
  "vulnerable": 80,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2017-08-28T22:51:11+00:00",
  "updated_at": "2021-07-17T03:40:40+00:00",
  "deleted_at": null
}